Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.messaging
Interface IMessage

All Superinterfaces
  IItem, IMessagingItem, Serializable

All Known Subinterfaces:
  ICmMailMessage, IMailMessage, INonDeliveryReport, IReadReport

    public interface IMessage

extends IMessagingItem

Classes that implement this interface are messages in the messaging schema.

Field Summary
`static ItemClass` | `CLASS` The message item class.
`static int` | `KEYID_RECIPIENTS` The `int` ID for the `RECIPIENTS` key.
`static Key` | `RECIPIENTS` Represents the recipients on a message.

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`void` | `addRecipient(String sAddress)` Adds a recipient.
`IRecipient[]` | `getRecipients()` Gets the recipients for the message.
`void` | `removeRecipient(String sAddress)` Removes a recipient from the message.
`void` | `send()` Sends the message to the recipients.
`void` | `setRecipients(String[] addresses)` Sets the recipients to the specified recipients.

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, getBodyHtml, setBody, setBodyHtml`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_RECIPIENTS

    static final int KEYID_RECIPIENTS

  The `int` ID for the `RECIPIENTS` key.

  See Also
    Constants Summary

### RECIPIENTS

    static final Key RECIPIENTS

  Represents the recipients on a message. Holds `IRecipient`.

### CLASS

    static final ItemClass CLASS

  The message item class.

Method Detail

### addRecipient

    void addRecipient(String sAddress)
                      throws CollaborationException

  Adds a recipient.

  Parameters
    `sAddress` - the recipient address, whose format is specific to the type of message that's being sent (not `null`)
  Throws
    `CollaborationException`
  See Also
    `RECIPIENTS`

### getRecipients

    IRecipient[] getRecipients()
                               throws CollaborationException

  Gets the recipients for the message.

  Returns
    the recipients (not `null`)
  Throws
    `CollaborationException`
  See Also
    `RECIPIENTS`

### removeRecipient

    void removeRecipient(String sAddress)
                         throws CollaborationException

  Removes a recipient from the message.

  Parameters
    `sAddress` - the address (not `null`)
  Throws
    `CollaborationException`
  See Also
    `RECIPIENTS`

### setRecipients

    void setRecipients(String[] addresses)
                       throws CollaborationException

  Sets the recipients to the specified recipients.

  Parameters
    `addresses` - the recipient addresses (not `null`)
  Throws
    `CollaborationException`
  See Also
    `RECIPIENTS`

### send

    void send()
              throws CollaborationException

  Sends the message to the recipients.

  Throws
    `CollaborationException` - if the provider encountered an error while sending the message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved